<ion-menu side="start">
  <ion-header>
    <ion-toolbar>
      <ion-title>Menu</ion-title>
    </ion-toolbar>
  </ion-header>
  <ion-content menuClose>
    <ion-list>
      <ion-item [routerLink]="['/profile']">
        <ion-icon color="secondary" name="person" slot="start"></ion-icon>
        <ion-label>Profile</ion-label>
      </ion-item>

      <ion-item [routerLink]="['/requestleave']">
        <ion-icon color="secondary" name="git-pull-request" slot="start"></ion-icon>
        <ion-label>Leave Request</ion-label>
      </ion-item>

      <ion-item [routerLink]="['/notification']">
        <ion-icon color="secondary" name="notifications" slot="start"></ion-icon>
        <ion-label>Notification</ion-label>
      </ion-item>

      <ion-item [routerLink]="['/dashboard']">
        <ion-icon color="secondary" name="clipboard" slot="start" ></ion-icon>
        <ion-label>Leave Status</ion-label>
      </ion-item>

      <ion-item [routerLink]="['/settings']">
        <ion-icon color="secondary" name="help" slot="start"></ion-icon>
        <ion-label>Help</ion-label>
      </ion-item>

      <ion-item [routerLink]="['/home']">
        <ion-icon color="secondary" name="log-out" slot="start"></ion-icon>
        <ion-label>Logout</ion-label>
      </ion-item>

      <!-- hide show button role based -->


      <!-- <ion-item (click)="superAdmin = 'usertype=3'"
        [disabled]="superAdmin !== '2'" [routerLink]="['/superadminprofile']" >
          <ion-icon name="person" slot="start"></ion-icon>
          <ion-label>SuperAdmin</ion-label>
        </ion-item> -->


      <ion-item [routerLink]="['/employeesdetailspage']">
        <ion-icon color="secondary" name="person" slot="start"></ion-icon>
        <ion-label>EmployeeDetails</ion-label>
      </ion-item>

      <ion-card *ngFor="let data of profile">

        <ion-item [routerLink]="['/admin']" *ngIf="data.result.usertype != 3">
          <ion-icon color="secondary" name="person" slot="start"></ion-icon>
          <ion-label >Admin</ion-label>
        </ion-item>

      </ion-card>

    </ion-list>
  </ion-content>

  <!-- <ion-footer>
      <ion-fab vertical="bottom" horizontal="end" class="custom-fab">
        <ion-fab-button color="secondary">Share</ion-fab-button>
      
        <ion-fab-list side="top">
          <ion-fab-button  color="white" class="fb"  href="https://www.facebook.com/novastriditventures/" target="blank"><ion-icon name="logo-facebook"></ion-icon></ion-fab-button>
          <ion-fab-button  color="white" class="in"  href="http://in.linkedin.com/company/novastrid" target="blank" ><ion-icon name="logo-linkedin"></ion-icon></ion-fab-button>
          <ion-fab-button  color="white" class="web" href="https://www.novastrid.com"><ion-icon name="globe" target="blank"></ion-icon></ion-fab-button>
        </ion-fab-list>
      </ion-fab>
    </ion-footer> -->
</ion-menu>


<div class="ion-page" main>
  <ion-header>
    <ion-toolbar>
      <ion-buttons slot="start">
        <ion-menu-button></ion-menu-button>
      </ion-buttons>
    </ion-toolbar>
  </ion-header>
</div>